Welcome!

The kernel problem with recent updates has been solved. Find the solution here

Important information
-- Required MX 15/16 Repository Changes
-- Information on torrent hosting changes
-- Information on MX15/16 GPG Keys
-- Spectre and Meltdown vulnerabilities

News
-- Introducing our new Website
-- MX Linux on social media: here

Current releases
-- MX-18.3 Point Release release info here
-- Migration Information to MX-18 here
-- antiX-17.4.1 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

Search found 2247 matches

by timkb4cq
Thu Jun 20, 2019 6:24 pm
Forum: Software / Configuration
Topic: What exactly is the kernel/update issue?
Replies: 8
Views: 406

Re: What exactly is the kernel/update issue?

That's not strange unless you updated the kernel after you set up persistence.
by timkb4cq
Thu Jun 20, 2019 4:53 pm
Forum: Software / Configuration
Topic: What exactly is the kernel/update issue?
Replies: 8
Views: 406

Re: What exactly is the kernel/update issue?

But oddly, it's not consistent. The old laptop I'm travelling with an & Stevo's rather new laptop updated without issues, and we're not sure why.
It seems to affect all (or nearly all) usb with persistence installs.
by timkb4cq
Mon Jun 17, 2019 8:18 pm
Forum: General
Topic: Kernel Vunerable?
Replies: 4
Views: 298

Re: Kernel Vunerable?

The debian 4.9 kernel has already been patched. So far the 4.19 has not been. I'm pretty sure that will happen soon & Stevo will build it for the repos.

At least it's not a "run random code" bug, it can just slow down or crash a system.
by timkb4cq
Mon Jun 17, 2019 3:09 pm
Forum: CR Discussion
Topic: Packages being worked on by the Repo Team
Replies: 1560
Views: 188721

Re: Packages being worked on by the Repo Team

/usr/bin/realpath is still in coreutils - but it isn't Provided: by it. Since coreutils is always installed in a usable linux system there's no reason for listing a realpath dependency.
by timkb4cq
Thu Jun 13, 2019 9:53 pm
Forum: General
Topic: Is PulseAudio good enough?
Replies: 5
Views: 550

Re: Is PulseAudio good enough?

Since PulseAudio just routes audio around using the underlying Alsa system it's not responsible for lower quality audio. However its default settings are not the highest quality most sound cards can manage - it's set for basic CD quality (16bit signed integer @ 44.1kHz). PA uses those defaults so ol...
by timkb4cq
Thu Jun 13, 2019 7:17 pm
Forum: MX Help
Topic: Cannot compile Xash3D
Replies: 21
Views: 854

Re: Cannot compile Xash3D

The packages we build for the main repositories need to run on everybody's MX system.
by timkb4cq
Thu Jun 13, 2019 4:53 pm
Forum: MX Help
Topic: Cannot compile Xash3D
Replies: 21
Views: 854

Re: Cannot compile Xash3D

It's somewhat moot now, but as I suspected it was upgrading mesa from the Test repo which caused this. According to Aptitude to get the libsdl2-dev dependencies, these packages need to be installed with the Test repo enabled in order to match versions with already installed mesa related packages. li...
by timkb4cq
Thu Jun 13, 2019 3:19 pm
Forum: MX Help
Topic: Cannot compile Xash3D
Replies: 21
Views: 854

Re: Cannot compile Xash3D

It wants to remove like half of my system, a total of 2.3 GB, some of which even core packages (mx-...) just to install these two: The following NEW packages will be installed: libgl1-glvnd-nvidia-glx{a} libglx0-glvnd-nvidia{a} I blame my old GTX 770 and its drivers. While the nvidia drivers may be...
by timkb4cq
Thu Jun 13, 2019 12:28 pm
Forum: MX Help
Topic: Cannot compile Xash3D
Replies: 21
Views: 854

Re: Cannot compile Xash3D

Did you, as I suggested above, use aptitude: sudo aptitude install libsdl2-dev:i386 so we can see which packages are blocking the install? I suspect some dependency of libsdl2-dev (and libsdl2-dev has a lot of them) needs to be installed from MX Test because a related library has been updated from t...

Go to advanced search